Camera = class("Camera")

function Camera:initialize()
self.x = 512
self.y = 384
end

function Camera:move(dx,dy)
-- Moves Camera X
self.x = self.x+dx
	if self.x < -Game.width/2 then
		self.x = -Game.width/2
	elseif self.x> Game.Map.width-(Game.width/2) then
		self.x = Game.Map.width-(Game.width/2)
	end
	-- Moves Camera Y
self.y = self.y+dy
	if self.y < -Game.height/2 then
		self.y = -Game.height/2
	end
	if self.y> Game.Map.height-(Game.height/2) then
		self.y = Game.Map.height-(Game.height/2)
	end
end

function Camera:boundingBox(x,y)
	if x > self.x -100 and x < self.x+Game.width and 
		y > self.y -100 and y<self.y+Game.height then
		return true
	else
		return false
	end
end

function Camera:moveToProducer(producerNumber)
	if tonumber(producerNumber)<#Game.Player[1].Producer+1 and producerNumber~= 0 then
		self.x = Game.Player[1].Producer[producerNumber].x-Game.width/2
		self.y = Game.Player[1].Producer[producerNumber].y-Game.height/2
	end
end




