local ChipCollector = Pip:addState("ChipCollector")

function ChipCollector:enterState()
self.harvestTime = 15- self.speed
self:findNearestResource("Chip")
end

function ChipCollector:draw()
	if Game.Camera:boundingBox(self.x,self.y) then
		love.graphics.draw(chipCollectorGraphic,self.x-Game.Camera.x,self.y-Game.Camera.y,0,.5,.5)
	end
end

function ChipCollector:findDestination()
	if self.destinationType == "Chip" then
		self:harvest()
	elseif self.destinationType == "Harvest" then
		self.harvesting = false	
		Game.Map:harvestComplete(self.resourceNumber,-self.strength/2)
		self:findNearestProducer()	
	elseif self.destinationType == "Producer" then
		self:findNearestResource("Chip")	
	end
end