local  Menu = Game:addState("Menu")

function Menu:enterState()
love.graphics.setFont(menuFont)
Game.menuChoice = 1
Game.height = love.graphics.getHeight()
Game.width = love.graphics.getWidth()
love.graphics.setBackgroundColor(112,112,112)
love.keyboard.setKeyRepeat(200, 10)
end

function Menu:update()
end

function Menu:draw()
love.graphics.draw(menuBackground,0,0,0,(Game.width/menuBackgroundWidth),(Game.height/menuBackgroundHeight))
love.graphics.setColor(128,128,136)
love.graphics.printf("A Pipster Production",0,Game.height/5,Game.width,"center")
	if Game.menuChoice == 1 then 
		love.graphics.setColor(255,255,255)
	else
		love.graphics.setColor(128,128,136)
	end
		if Game.started == true then
			love.graphics.printf("Resume",0,Game.height/3,Game.width,"center")
		else
			love.graphics.printf("Start",0,Game.height/3,Game.width,"center")
		end
	
	if Game.menuChoice == 2 then 
		love.graphics.setColor(255,255,255)
	else
		love.graphics.setColor(128,128,136)
	end
		love.graphics.printf("Options",0,Game.height/3+menuFontSize*2,Game.width,"center")
	if Game.menuChoice ==3 then 
		love.graphics.setColor(255,255,255)
	else
		love.graphics.setColor(128,128,136)
	end
love.graphics.printf("Quit",0,Game.height/3+menuFontSize*4,Game.width,"center")
love.graphics.setColor(255,255,255)
-- love.graphics.draw(cursor,mx,my)
end

function Menu:keypressed(key)
	if key == "escape" then
		love.event.push("q")
	end
	if key == "down" then
		Game.menuChoice = Game.menuChoice +1
		if Game.menuChoice > 3 then
			Game.menuChoice = 1
		end
	end
		if key == "up" then
	Game.menuChoice = Game.menuChoice -1
		if Game.menuChoice < 1 then
			Game.menuChoice = 3
		end
	end
	if key == "return" and Game.menuChoice == 3 then
		love.event.push("q")
	elseif key == "return" and Game.menuChoice == 2 then
		Game:gotoState('optionsMenu')
	elseif key == "return" and Game.menuChoice == 1 then
		Game:gotoState('Play')
	end
end

function Menu:exitState()

end


