Producer = class("Producer")

function Producer:initialize(x,y,team)
self.x = x
self.y = y 
self.level = 1
self.spawnTime = 8
self.radius = 128
self.timer = os.time()
self.team = team
	if math.random(1,2) == 1 then
		self.dnaArray = "10011101"
	else
		self.dnaArray = "10011100"
	end
end

function Producer:update()
	if os.difftime(os.time(),self.timer)> self.spawnTime then
		self:spawnPip()
	end
end

function Producer:draw()
	if Game.Camera:boundingBox(self.x,self.y) then
		-- love.graphics.circle("line",self.x-Game.Camera.x,self.y-Game.Camera.y,self.radius,64)
		love.graphics.draw(producerGraphic,self.x-Game.Camera.x,self.y-Game.Camera.y,0,1,1,32,32)
	end
end

function Producer:spawnPip()
	-- if math.random(1,10) == 10 then
		-- self:mutate()
	-- else
		Game.Player[self.team].Pip[#Game.Player[self.team].Pip+1] = Pip:new(self.x,self.y,self.dnaArray,self.team)
		self.timer = os.time()
	-- end
end

function Producer:levelUp()
	self.level = self.level + 1
	self.spawnTime = self.spawnTime - 5
end

function Producer:levelDown()
	self.level = self.level - 1
	self.spawnTime = self.spawnTime + 5
end


function Producer:mutate()
	for n=1,6 do
		if math.random(1,5) == 5 then
			if string.sub(self.dnaArray,n,n) == "0" then
				self.dnaArray = string.sub(self.dnaArray,n-1,1) .. "1" .. string.sub(self.dnaArray,n+1)
			end
		end
	end


end
--10011101




