Resource = class("Resource",StatefulObject)

function Resource:initialize(x,y,resourceType)
super.initialize(self)
self.x = x
self.y = y
self.isUsed = false
self.amount = math.random(16,32)
	if resourceType == 1 then
		self:gotoState("Chip")
	else
		self:gotoState("Dip")
	end
end

function Resource:update()

end

function Resource:draw()

end


local Dip = Resource:addState("Dip")

function Dip:enterState()
self.resourceType = "Dip"
end

function Dip:update()

end

function Dip:draw()
	if Game.Camera:boundingBox(self.x,self.y) then
		love.graphics.draw(dipGraphic,self.x-Game.Camera.x,self.y-Game.Camera.y,0,self.amount/32,self.amount/32)
	end
end

local Chip = Resource:addState("Chip")

function Chip:enterState()
self.resourceType = "Chip"
end

function Chip:update()

end

function Chip:draw()
	if Game.Camera:boundingBox(self.x,self.y) then
		love.graphics.draw(chipGraphic,self.x-Game.Camera.x,self.y-Game.Camera.y,0,self.amount/32,self.amount/32)
	end
end
