local DipCollector = Pip:addState("DipCollector")

function DipCollector:enterState()
self.harvestTime = 10- self.speed
self:findNearestResource("Dip")
end

function DipCollector:draw()
	if Game.Camera:boundingBox(self.x,self.y) then
		love.graphics.draw(dipCollectorGraphic,self.x-Game.Camera.x,self.y-Game.Camera.y,0,.5,.5)	
		-- love.graphics.print(self.speed,self.x-Game.Camera.x,self.y-Game.Camera.y)
	end
end

function DipCollector:findDestination()
	if self.destinationType == "Dip" then
		self:harvest()
	elseif self.destinationType == "Harvest" then
		self.harvesting = false	
		Game.Map:harvestComplete(self.resourceNumber,-self.strength/2)
		self:findNearestProducer()	
	elseif self.destinationType == "Producer" then
		self:findNearestResource("Dip")	
	end
end







