Map = class("Map")

function Map:initialize(x,y)
self.width = x
self.height = y
self.totalResource = (self.width/128)*(self.height/128)
	self.Resource = {}
	for n=1, self.totalResource do
		local x = math.random(1,self.width)
		local y = math.random(1,self.height)
		local resourceType = math.random(1,3)
		self.Resource[n] = Resource:new(x,y,resourceType%2+1)
	end
end

function Map:update()

end

function Map:draw()
love.graphics.setLineStipple(0xAAAA,2)
love.graphics.setColor(64,64,64,255)
	for n=1,Game.width/16 do
		love.graphics.line(Game.Camera.x%16+(n*16),0,Game.Camera.x%16+(n*16),Game.height)
	end
	for n=1,Game.height/16 do
		love.graphics.line(0,Game.Camera.y%16+(n*16),Game.width,Game.Camera.y%16+(n*16))
	end
	love.graphics.setColor(255,255,255)
	for n=1,#self.Resource do
		self.Resource[n]:draw()
		
		love.graphics.setColor(255,0,0)
		love.graphics.setFont(debugFont)
		if self.Resource[n].isUsed == true then
		-- love.graphics.print("!" .. n,self.Resource[n].x- Game.Camera.x,self.Resource[n].y-Game.Camera.y)
		else
		-- love.graphics.print(n,self.Resource[n].x- Game.Camera.x,self.Resource[n].y-Game.Camera.y)
		
		end
		love.graphics.setColor(255,255,255)
		love.graphics.setFont(menuFont)
	end
end

function Map:harvestComplete(n,amount)
self.Resource[n].amount = self.Resource[n].amount + amount
self.Resource[n].isUsed = false
	if self.Resource[n].amount <1 then
		Shiftup(self.Resource,n)
	end
end