local optionsMenu = Game:addState('optionsMenu')

function optionsMenu:enterState()
Game.menuChoice = 1
Game.height = love.graphics.getHeight()
Game.width = love.graphics.getWidth()
Game.newVolume = Game.volume
end

function optionsMenu:update()

end

function optionsMenu:draw()
love.graphics.draw(menuBackground,0,0,0,(Game.width/menuBackgroundWidth),(Game.height/menuBackgroundHeight))
	if Game.menuChoice == 1 then 
	love.graphics.setColor(255,255,255)
	else
	love.graphics.setColor(128,128,136)
	end
love.graphics.printf("Volume:" .. Game.newVolume*100,0,Game.height/4,Game.width,"center")
	if Game.menuChoice == 2 then 
	love.graphics.setColor(255,255,255)
	else
	love.graphics.setColor(128,128,136)
	end
love.graphics.printf(Game.graphicModes[Game.modeSelect].width .. "x" .. Game.graphicModes[Game.modeSelect].height,0,Game.height/4+menuFontSize*2,Game.width,"center")
	if Game.menuChoice ==3 then 
	love.graphics.setColor(255,255,255)
	else
	love.graphics.setColor(128,128,136)
	end
	if Game.newFullscreen == true then
	love.graphics.printf("Fullscreen",0,Game.height/4+menuFontSize*4,Game.width,"center")
	else
	love.graphics.printf("Windowed",0,Game.height/4+menuFontSize*4,Game.width,"center")
	end
	if Game.menuChoice ==4 then 
	love.graphics.setColor(255,255,255)
	else
	love.graphics.setColor(128,128,136)
	end
love.graphics.printf("Accept",0,Game.height/4+menuFontSize*6,Game.width,"center")
	if Game.menuChoice ==5 then 
	love.graphics.setColor(255,255,255)
	else
	love.graphics.setColor(128,128,136)
	end
love.graphics.printf("Cancel",0,Game.height/4+menuFontSize*8,Game.width,"center")
love.graphics.setColor(255,255,255)
end

function optionsMenu:keypressed(key)
if key == "escape" then
Game:gotoState('Menu')
end
	if key == "down" then
	Game.menuChoice = Game.menuChoice +1
		if Game.menuChoice > 5 then
			Game.menuChoice = 1
		end
	end
		if key == "up" then
	Game.menuChoice = Game.menuChoice -1
		if Game.menuChoice < 1 then
			Game.menuChoice = 5
		end
	end
	--Volume
	if Game.menuChoice == 1 and key == "right" then
		if Game.newVolume < 1 then
		Game.newVolume = round(Game.newVolume + .01,2)
		end
	end
	if Game.menuChoice == 1 and key == "left" then
		if Game.newVolume >0 then
		Game.newVolume = round(Game.newVolume - .01,2)
		end
	end
	-- Resolution
	if Game.menuChoice == 2 and key == "right" then
		if Game.modeSelect == 1 then
		Game.modeSelect = #Game.graphicModes
		else
		Game.modeSelect = Game.modeSelect - 1
		end
	end
	if Game.menuChoice == 2 and key == "left" then
		if Game.modeSelect == #Game.graphicModes then
		Game.modeSelect = 1
		else
		Game.modeSelect = Game.modeSelect + 1
		end
	end
	--Fullscreen Y/N
	if Game.menuChoice == 3 and (key == "return" or key == "right" or key == "left") then
		Game.newFullscreen = not Game.newFullscreen
	end
	--Accept Changes
	if Game.menuChoice == 4 and key == "return" then	
		Game.currentMode = Game.modeSelect
		love.graphics.setMode(Game.graphicModes[Game.modeSelect].width,Game.graphicModes[Game.modeSelect].height, Game.newFullscreen)
		love.audio.setVolume(Game.newVolume)
		Game:gotoState('Menu')
	end	
	--Cancel
	if Game.menuChoice == 5 and key == "return" then	
		Game:gotoState('Menu')
	end		
end


function optionsMenu:exitState()

end
